Subject: Re: Fw: [Bugme-new] [Bug 7179] New: Compilation of .tmp_linux1 fails due to missing declaration in net/netfilter/xt_physdev.c

From: Jarek Poplawski <[email-masked]>
Date: Fri, 22 Sep 2006 11:27:31 +0200

On Fri, Sep 22, 2006 at 10:41:08AM +0200, Jarek Poplawski wrote:
> On 22-09-2006 00:37, Andrew Morton wrote:
> > Methinks CONFIG_NETFILTER_XT_TARGET_CLASSIFY should depend upon
> > CONFIG_BRIDGE_NETFILTER.  Because brnf_deferred_hooks is defined in
> > net/bridge/br_netfilter.c and is referred to in net/netfilter/xt_physdev.c.
> > 
> > Or something else ;)
> ...
> > I am unsure of which kernel .config parameter is sparking this.  My .config 
> > can be found here: http://www.animeforum.com/jakiao/misato.config
> 
> I don't see CONFIG_BRIDGE set in this misato.config,
> so CONFIG_BRIDGE_NETFILTER was set in some unofficial way.

... or I'm blind! Sorry.

There is CONFIG_BRIDGE=m and this is the source of a problem:
config shouldn't allow for:

CONFIG_NETFILTER_BRIDGE=y 
CONFIG_NETFILTER_XT_MATCH_PHYSDEV=y 

Jarek P.